<script setup>
import Header from '@/Components/Header.vue';
import { Link, Head, router } from '@inertiajs/vue3';
import { onMounted } from 'vue';
import { reactive } from 'vue';
import Search from '@/Components/Unified/Search.vue';
import TableContent from '@/Components/Unified/TableContent.vue';
import TableHeader from '@/Components/Unified/TableHeader.vue';
import Wrap from '@/Layouts/Wrap.vue';
import { setupPopup } from '@/store';
const props = defineProps({
    items: Object,
    type: String,
    deleted: Boolean,
});
const types = reactive({
    'items': {
        'name': 'Комплектующие',
        'add': 'Добавить новую комплектующую',
        'single': 'item',
        'number': 1,
    },
    'details': {
        'name': 'Детали',
        'add': 'Добавить новую деталь',
        'single': 'detail',
        'number': 2,
    },
    'equipments': {
        'name': 'Оборудование',
        'add': 'Добавить новое оборудование',
        'single': 'equipment',
        'number': 3,
    },
    'customs': {
        'name': 'Доп. оборудование',
        'add': 'Добавить доп. оборудование',
        'single': 'custom',
        'number': 4,
    },
})
const switchMode = () => {
    router.get(route('engi.index', {
        param: props.type,
        deleted: !props.deleted,
    }))
}
</script>

<template>
    <Wrap>
        <Head :title="types[props.type].name" />
        <Header />
        <main class="main">
            <div class="container">
                <div class="page__title">
                    {{ types[props.type].name }} <span v-if="props.deleted">(корзина)</span>
                </div>
                <div class="page__flex">
                    <Search :material="$page.props.material" :search="$page.props.search" :type="props.type"></Search>
                    <div class="row">
                        <div class="page__button" @click="switchMode()">
                            {{ props.deleted ? 'Показать стандартные' : 'Показать удалённые' }}
                        </div>
                        <div @click="setupPopup('add', false, types[props.type].number)" class="page__button">
                            {{ types[props.type].add }}
                        </div>
                    </div>
                </div>
                <table class="_lesser">
                    <TableHeader :isEngineering="true" :isDetail="props.type == 'details'"></TableHeader>
                    <TableContent v-model="openItems" :isEngineering="true" :isDetail="props.type == 'details'"
                        :item="item" v-for="item in items.data"></TableContent>
                </table>

                <div class="pagination">
                    <Link :href="items.prev_page_url" class="pagination__link" v-if="items.prev_page_url">
                    &laquo;
                    </Link>
                    <div class="pagination__link" v-else>
                        &laquo;
                    </div>
                    <template v-for="link in items.links">
                        <Link class="pagination__link" :class='{
            "_current": items.current_page == link.label,
            "_disabled": !link.url,
        }
            ' :href="link.url" v-if="link.url">{{ link.label }}</Link>
                        <div v-else>{{ link.label }}</div>
                    </template>
                    <Link :href="items.next_page_url" class="pagination__link" v-if="items.next_page_url">
                    &raquo;
                    </Link>
                    <div class="pagination__link" v-else>
                        &raquo;
                    </div>
                </div>
            </div>
        </main>
    </Wrap>
</template>
